Bulk Reject
curl --request POST \
--url https://api.paygentic.io/v0/sources/{id}/events/bulk-reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventIds": [
"<string>"
]
}
'import requests
url = "https://api.paygentic.io/v0/sources/{id}/events/bulk-reject"
payload = { "eventIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventIds: ['<string>']})
};
fetch('https://api.paygentic.io/v0/sources/{id}/events/bulk-reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rejected": 1
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Sources
Bulk Reject
Reject multiple pending source events at once
POST
/
v0
/
sources
/
{id}
/
events
/
bulk-reject
Bulk Reject
Authorizations
API key authentication
Path Parameters
Unique identifier for a source
Pattern:
^src_[a-zA-Z0-9]+$Body
application/json
IDs of events to reject
Unique identifier for a source event
Pattern:
^sev_[a-zA-Z0-9]+$Response
Bulk rejection results
Number of rejected events
Was this page helpful?
⌘I